# Uses of Class
javax.imageio.spi.ImageWriterSpi

Packages that use ImageWriterSpi
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of ImageWriterSpi in javax.imageio

Fields in javax.imageio declared as ImageWriterSpi
Modifier and Type
Field
Description
`protected ImageWriterSpi`
ImageWriter.`originatingProvider`
The `ImageWriterSpi` that instantiated this object, or `null` if its identity is not known or none exists.
Methods in javax.imageio that return ImageWriterSpi
Modifier and Type
Method
Description
`ImageWriterSpi`
ImageWriter.`getOriginatingProvider()`
Returns the `ImageWriterSpi` object that created this `ImageWriter`, or `null` if this object was not created through the `IIORegistry`.
Constructors in javax.imageio with parameters of type ImageWriterSpi
Modifier
Constructor
Description
`protected`
`ImageWriter(ImageWriterSpi originatingProvider)`
Constructs an `ImageWriter` and sets its `originatingProvider` instance variable to the supplied value.